/**
 * Global Types
 */
interface IGenericObject {
    [key: string]: any;
}
interface IAction<T> {
    type: T;
    payload?: any;
}
declare type Alignment = 'Start' | 'Center' | 'End';
declare type AlignmentBox = 'Left' | 'Right' | 'Top' | 'Bottom' | 'Center';
interface AlignmentXY {
    x?: Alignment;
    y?: Alignment;
}
declare type Size = 'Small' | 'Medium' | 'Large';
declare type UIState = 'Success' | 'Warning' | 'Error' | 'Info';
declare type OpenState = 'Closed' | 'Opening' | 'Open' | 'Closing';
declare type LoadingState = 'Idle' | 'Loading' | 'Done' | 'Retry';
export { IGenericObject, IAction, Alignment, AlignmentXY, AlignmentBox, Size, UIState, OpenState, LoadingState };
